Package org.eclipse.cdt.core.dom.ast

## Interface IASTImplicitNameOwner

All Superinterfaces:
  `IASTNode`

All Known Subinterfaces:
  `ICPPASTArraySubscriptExpression`, `ICPPASTBinaryExpression`, `ICPPASTDeleteExpression`, `ICPPASTExpressionList`, `ICPPASTFieldReference`, `ICPPASTFunctionCallExpression`, `ICPPASTLambdaExpression`, `ICPPASTLiteralExpression`, `ICPPASTNewExpression`, `ICPPASTRangeBasedForStatement`, `ICPPASTStructuredBindingDeclaration`, `ICPPASTUnaryExpression`, `ICPPASTUsingDeclaration`, `IGPPASTBinaryExpression`

    public interface IASTImplicitNameOwner
    extends IASTNode

An AST node that may have implicit names.

Since:
  5.1
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `IMPLICIT_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTImplicitName[]` `getImplicitNames()`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### IMPLICIT_NAME

    static final ASTNodeProperty IMPLICIT_NAME

### Method Detail

#### getImplicitNames

    IASTImplicitName[] getImplicitNames()